
PROGRAMS = comparisons if switch

build: $(PROGRAMS)

dumps: comparisons.dump if.dump switch.dump

tests: comparisons.guac if.guac switch.guac

TOPDIR = ../..
include $(TOPDIR)/Makefile.tests

clean:
	$(RM) comparisons comparisons.o if if.o

# Dependances
$(PROGRAMS): % : $(USERLIB)/sys.o $(USERLIB)/libnachos.o %.o